<?xml version="1.0" encoding="utf-8" ?><rss version="2.0"><channel><title><![CDATA[dcx2001的博客]]></title><description><![CDATA[]]></description><link>https://blog.youkuaiyun.com/dcx2001</link><language>zh-cn</language><generator>https://blog.youkuaiyun.com/</generator><copyright><![CDATA[Copyright &copy; dcx2001]]></copyright><item><title><![CDATA[【UVA1220】Party at Hali-Bula]]></title><link>https://blog.youkuaiyun.com/dcx2001/article/details/78291701</link><guid>https://blog.youkuaiyun.com/dcx2001/article/details/78291701</guid><author>dcx2001</author><pubDate>Fri, 20 Oct 2017 09:21:00 +0800</pubDate><description><![CDATA[要原题点这里题目。
题目大意：公司里n个人构成了一个树形网络，除了老板之外每个人都有一个直属上司，问在不能同时选一个人的直属上司的同时最多能选多少人。并判断人数最多时方案是否唯一。
题解
树形dp经典题。
这题的第一问就是树上的最大独立集的问题，第二问就是在dfs的基础上加一些判断就行了.
f[i][0]表示选当前这个人，f[i][1]表示不选当前这个人。所以f[i][0]+=f[v][]]></description><category></category></item><item><title><![CDATA[51nod1673树有几多愁]]></title><link>https://blog.youkuaiyun.com/dcx2001/article/details/78279981</link><guid>https://blog.youkuaiyun.com/dcx2001/article/details/78279981</guid><author>dcx2001</author><pubDate>Thu, 19 Oct 2017 08:51:14 +0800</pubDate><description><![CDATA[题目描述
lyk有一棵树，它想给这棵树重标号。
重标号后，这棵树的所有叶子节点的值为它到根的路径上的编号最小的点的编号。
这棵树的烦恼值为所有叶子节点的值的乘积。
lyk想让这棵树的烦恼值最大，你只需输出最大烦恼值对1e9+7取模后的值就可以了。
注意一开始1号节点为根，重标号后这个节点仍然为根。


update：数据保证叶子节点个数


例如样例中，将1,2,3,4,5重]]></description><category></category></item><item><title><![CDATA[51nod1588幸运树]]></title><link>https://blog.youkuaiyun.com/dcx2001/article/details/78270347</link><guid>https://blog.youkuaiyun.com/dcx2001/article/details/78270347</guid><author>dcx2001</author><pubDate>Wed, 18 Oct 2017 10:48:09 +0800</pubDate><description><![CDATA[题目描述
比得喜欢幸运数字。这里所说的幸运数字是由4和7组成的正整数。比如，数字47，744，4是幸运数字，而5，17，467就不是。
一天，比得遇到一棵由n个点组成的树。另外，这棵树是带权的，即每条边有一个权值（由一个正整数表示）。如果一条边的权值是一个幸运数字，那么我们就说这条边是一条幸运边。说明一下，一棵n个结点的树是由n个结点和n-1条边组的无环的无向图。 
比得好奇，在树中有多少个]]></description><category></category></item><item><title><![CDATA[树形dp+树形结构总结]]></title><link>https://blog.youkuaiyun.com/dcx2001/article/details/78269908</link><guid>https://blog.youkuaiyun.com/dcx2001/article/details/78269908</guid><author>dcx2001</author><pubDate>Wed, 18 Oct 2017 10:17:54 +0800</pubDate><description><![CDATA[总结
      最近写了好多树形dp+树形结构的题目，这些题目变化多样能与多种算法结合，但还是有好多规律可以找的。
树形dp一般都是用子树更新父亲（即从下向上更新），那么首先应该考虑的是一个一个子树的更新父亲还是把所有子树都算完了在更新父亲？这就要因题而异了，一般来说有两种情况：1.需要把所有子树的信息都掌握之后再更新子树的就需要把所有子树都算完了在更新父亲。2.而像树上背包这样的问题就需要]]></description><category></category></item><item><title><![CDATA[【BZOJ1294】【SCOI2009】围豆豆Bean]]></title><link>https://blog.youkuaiyun.com/dcx2001/article/details/78230646</link><guid>https://blog.youkuaiyun.com/dcx2001/article/details/78230646</guid><author>dcx2001</author><pubDate>Fri, 13 Oct 2017 21:37:52 +0800</pubDate><description><![CDATA[Description

Input
第一行两个整数N和M，为矩阵的边长。 第二行一个整数D，为豆子的总个数。 第三行包含D个整数V1到VD，分别为每颗豆子的分值。 接着N行有一个N×M的字符矩阵来描述游戏矩阵状态，0表示空格，#表示障碍物。而数字1到9分别表示对应编号的豆子。

Output
仅包含一个整数，为最高可能获得的分值。 
Sample Input
3 8
3
30]]></description><category></category></item><item><title><![CDATA[【BZOJ3990】【SDOI2015】排序]]></title><link>https://blog.youkuaiyun.com/dcx2001/article/details/78221513</link><guid>https://blog.youkuaiyun.com/dcx2001/article/details/78221513</guid><author>dcx2001</author><pubDate>Fri, 13 Oct 2017 07:28:52 +0800</pubDate><description><![CDATA[Description

 小A有一个1-2^N的排列A[1..2^N],他希望将A数组从小到大排序,小A可以执行的操作有N种,每种操作最多可以执行一次,对于所有的i(1

下面是一个操作事例:

N=3,A[1..8]=[3,6,1,2,7,8,5,4].

第一次操作,执行第3种操作,交换A[1..4]和A[5..8],交换后的A[1..8]为[7,8,5,4,3,6,1,2]]]></description><category></category></item><item><title><![CDATA[【BZOJ3307】雨天的尾巴（权限题）]]></title><link>https://blog.youkuaiyun.com/dcx2001/article/details/78220312</link><guid>https://blog.youkuaiyun.com/dcx2001/article/details/78220312</guid><author>dcx2001</author><pubDate>Thu, 12 Oct 2017 21:51:15 +0800</pubDate><description><![CDATA[Description

N个点，形成一个树状结构。有M次发放，每次选择两个点x,y对于x到y的路径上（含x,y)每个点发一袋Z类型的物品。完成所有发放后，每个点存放最多的是哪种物品。

Input

第一行数字N，M
接下来N-1行，每行两个数字a,b,表示a与b间有一条边
再接下来M行，每行三个数字x,y,z.如题

Output


输出有N行每i行的数字表示第i个]]></description><category></category></item><item><title><![CDATA[【51nod1531】树上的博弈]]></title><link>https://blog.youkuaiyun.com/dcx2001/article/details/78210216</link><guid>https://blog.youkuaiyun.com/dcx2001/article/details/78210216</guid><author>dcx2001</author><pubDate>Thu, 12 Oct 2017 07:24:19 +0800</pubDate><description><![CDATA[题目描述
有一棵n个点的有根树，他有m个叶子结点（叶子结点是那些没有孩子的结点）。边由父亲指向孩子。数字1到m被分配到每一个叶子中。每一个叶子有一个数字，并且每一个数字恰好被分配到一个叶子中。
刚开始的时候根部有一个棋子。两个玩家轮流移动棋子，每一步都会将这个棋子向他的某一个孩子移动；如果玩家不能再移动棋子了，那么游戏结束。游戏的结果就是棋子所在叶子上面的数字。游戏的先手想要这个数字最大化，而]]></description><category></category></item><item><title><![CDATA[【BZOJ2287】【POJChallenge】消失之物（权限题）]]></title><link>https://blog.youkuaiyun.com/dcx2001/article/details/78210213</link><guid>https://blog.youkuaiyun.com/dcx2001/article/details/78210213</guid><author>dcx2001</author><pubDate>Thu, 12 Oct 2017 07:15:48 +0800</pubDate><description><![CDATA[Description




ftiasch 有 N 个物品, 体积分别是 W1,
W2, ..., WN。 由于她的疏忽, 第 i 个物品丢失了。 “要使用剩下的
N - 1 物品装满容积为 x 的背包，有几种方法呢？” -- 这是经典的问题了。她把答案记为 Count(i, x) ，想要得到所有1 <= i <= N, 1 <= x <= M的
Count(i, x) 表格。]]></description><category></category></item><item><title><![CDATA[【BZOJ2118】墨墨的等式]]></title><link>https://blog.youkuaiyun.com/dcx2001/article/details/78199339</link><guid>https://blog.youkuaiyun.com/dcx2001/article/details/78199339</guid><author>dcx2001</author><pubDate>Wed, 11 Oct 2017 07:24:36 +0800</pubDate><description><![CDATA[Description

墨墨突然对等式很感兴趣，他正在研究a1x1+a2y2+…+anxn=B存在非负整数解的条件，他要求你编写一个程序，给定N、{an}、以及B的取值范围，求出有多少B可以使等式存在非负整数解。

Input

输入的第一行包含3个正整数，分别表示N、BMin、BMax分别表示数列的长度、B的下界、B的上界。输入的第二行包含N个整数，即数列{an}的值。

Ou]]></description><category></category></item><item><title><![CDATA[【BZOJ1996】【HNOI2006】公路修建问题]]></title><link>https://blog.youkuaiyun.com/dcx2001/article/details/78199334</link><guid>https://blog.youkuaiyun.com/dcx2001/article/details/78199334</guid><author>dcx2001</author><pubDate>Wed, 11 Oct 2017 07:16:14 +0800</pubDate><description><![CDATA[Description

OI island是一个非常漂亮的岛屿,自开发以来,到这儿来旅游的人很多。然而，由于该岛屿刚刚开发不久，所以那里的交通情况还是很糟糕。所以，OIER Association组织成立了，旨在建立OI island的交通系统。 OI island有n个旅游景点，不妨将它们从1到n标号。现在，OIER Association需要修公路将这些景点连接起来。一条公路连接两个景点]]></description><category></category></item><item><title><![CDATA[【BZOJ2054】疯狂的馒头]]></title><link>https://blog.youkuaiyun.com/dcx2001/article/details/78188384</link><guid>https://blog.youkuaiyun.com/dcx2001/article/details/78188384</guid><author>dcx2001</author><pubDate>Tue, 10 Oct 2017 07:24:20 +0800</pubDate><description><![CDATA[Description



Input

第一行四个正整数N，M，p，q

Output

一共输出N行，第i行表示第i个馒头的最终颜色（如果最终颜色是白色就输出0）。

Sample Input
4 3 2 4
Sample Output
2
2
3
0
HINT


题解
由于染色是按最后一次的算，所以要从后往前处理，由于染完色后具有相同的性质，]]></description><category></category></item><item><title><![CDATA[【BZOJ3714】【PA2014】Kuglarz]]></title><link>https://blog.youkuaiyun.com/dcx2001/article/details/78178950</link><guid>https://blog.youkuaiyun.com/dcx2001/article/details/78178950</guid><author>dcx2001</author><pubDate>Mon, 09 Oct 2017 07:53:05 +0800</pubDate><description><![CDATA[Description

魔术师的桌子上有n个杯子排成一行，编号为1,2,…,n，其中某些杯子底下藏有一个小球，如果你准确地猜出是哪些杯子，你就可以获得奖品。花费c_ij元，魔术师就会告诉你杯子i,i+1,…,j底下藏有球的总数的奇偶性。采取最优的询问策略，你至少需要花费多少元，才能保证猜出哪些杯子底下藏着球？

Input

第一行一个整数n(1
第i+1行(1

Output]]></description><category></category></item><item><title><![CDATA[【BZOJ1880】【SDOI2009】Elaxia的路线]]></title><link>https://blog.youkuaiyun.com/dcx2001/article/details/78178936</link><guid>https://blog.youkuaiyun.com/dcx2001/article/details/78178936</guid><author>dcx2001</author><pubDate>Mon, 09 Oct 2017 07:39:16 +0800</pubDate><description><![CDATA[Description
最近，Elaxia和w**的关系特别好，他们很想整天在一起，但是大学的学习太紧张了，他们 必须合理地安排两个人在一起的时间。Elaxia和w**每天都要奔波于宿舍和实验室之间，他们 希望在节约时间的前提下，一起走的时间尽可能的长。 现在已知的是Elaxia和w**所在的宿舍和实验室的编号以及学校的地图：地图上有N个路 口，M条路，经过每条路都需要一定的时间。 具体地说，就]]></description><category></category></item><item><title><![CDATA[【BZOJ4282】慎二的随机数列]]></title><link>https://blog.youkuaiyun.com/dcx2001/article/details/78178925</link><guid>https://blog.youkuaiyun.com/dcx2001/article/details/78178925</guid><author>dcx2001</author><pubDate>Mon, 09 Oct 2017 07:27:01 +0800</pubDate><description><![CDATA[Description

间桐慎二是间桐家著名的废柴，有一天，他在学校随机了一组随机数列， 准备使用他那强大的人工智能求出其最长上升子序列，但是天有不测风云，人有旦夕祸福，柳洞一成路过时把间桐慎二的水杯打翻了……现在给你一个长度为 n 的整数序列，其中有一些数已经模糊不清了，现在请你任意确定这些整数的值，使得最长上升子序列最长（为何最长呢？因为间桐慎二向来对自己的人品很有信心）
 。

]]></description><category></category></item><item><title><![CDATA[【BZOJ3107】【cqoi2013】二进制a+b]]></title><link>https://blog.youkuaiyun.com/dcx2001/article/details/78178923</link><guid>https://blog.youkuaiyun.com/dcx2001/article/details/78178923</guid><author>dcx2001</author><pubDate>Mon, 09 Oct 2017 07:23:03 +0800</pubDate><description><![CDATA[Description

输入三个整数a, b, c，把它们写成无前导0的二进制整数。比如a=7, b=6, c=9，写成二进制a=111,b=110,c=1001。接下来以位数最多的为基准，其他整数在前面添加前导0，使得a, b, c拥有相同的位数。比如在刚才的例子中，添加完前导0后为a=0111, b=0110, c=1001。最后，把a, b, c的各位进行重排，得到a’, b’, c’]]></description><category></category></item><item><title><![CDATA[【BZOJ4094】 【Usaco2013 Dec】Optimal Milking（权限题）]]></title><link>https://blog.youkuaiyun.com/dcx2001/article/details/78178910</link><guid>https://blog.youkuaiyun.com/dcx2001/article/details/78178910</guid><author>dcx2001</author><pubDate>Mon, 09 Oct 2017 07:02:08 +0800</pubDate><description><![CDATA[Description



Farmer John最近购买了N(1 )单位的牛奶 (1 hn可以自由选择不同的机器集合在不同的日子进行挤奶。在D(1
 台挤奶机进行维护，改变该挤奶机的产量。Farmer John希望设计一个挤奶方案，使得挤奶机能够在D天后获取最多的牛奶。




Input


第1行：两个整数N和D
第2..N+1行：每台挤奶机的M(i)
第N+]]></description><category></category></item><item><title><![CDATA[扩展欧几里得及其扩展]]></title><link>https://blog.youkuaiyun.com/dcx2001/article/details/78172848</link><guid>https://blog.youkuaiyun.com/dcx2001/article/details/78172848</guid><author>dcx2001</author><pubDate>Sun, 08 Oct 2017 06:58:54 +0800</pubDate><description><![CDATA[扩展欧几里得
  扩展欧几里得就是要解决ax+by=c的解得算法，先将原式转化成ax+by=gcd(a,b);因为辗转相除法gcd(a,b)=gcd(b,a%b),所以最后一定能转化成bx+0*y=gcd(a,b)=b;所以有一组解x=1,y=0（y为什么都行，反正系数为0,乘什么都为0）。因为转化的这个式子一定有解，所以只要c%gcd(a,b)==0,原式就一定有解，但一般都要求x最小的解，怎]]></description><category></category></item><item><title><![CDATA[【BZOJ3995】【SDOI2015】道路修建]]></title><link>https://blog.youkuaiyun.com/dcx2001/article/details/78167989</link><guid>https://blog.youkuaiyun.com/dcx2001/article/details/78167989</guid><author>dcx2001</author><pubDate>Sat, 07 Oct 2017 07:39:16 +0800</pubDate><description><![CDATA[Description

 某国有2N个城市，这2N个城市构成了一个2行N列的方格网。现在该国政府有一个旅游发展计划，这个计划需要选定L、R两列(L
1.        C x0 y0 x1 y1 w：由于重新对第x0行第y0列的城市和第x1行第y1列的城市之间的情况进行了考察，它们之间修建一条专用道路的花费变成了w；
2.        Q L R：若政府选定的两列分别为L、R，询问政府]]></description><category></category></item><item><title><![CDATA[【BZOJ2426】【HAOI2010】工程选址]]></title><link>https://blog.youkuaiyun.com/dcx2001/article/details/78167982</link><guid>https://blog.youkuaiyun.com/dcx2001/article/details/78167982</guid><author>dcx2001</author><pubDate>Sat, 07 Oct 2017 07:25:47 +0800</pubDate><description><![CDATA[Description

某地区有m座煤矿，其中第i号矿每年产量为ai吨，现有火力发电厂一个，每年需用煤b吨，每年运行的固定费用（包括折旧费，不包括煤的运费）为h元，每吨原煤从第i号矿运到原有发电厂的运费为Ci0（i=1，2，…，m）。

 
现规划新建一个发电厂，m座煤矿每年开采的原煤将全部供给这两座发电厂。现有n个备选的厂址。若在第j号备选厂址建新厂，每年运行的固定费用为hj元。每吨]]></description><category></category></item></channel></rss>